import { getSession } from '@auth0/nextjs-auth0'
import { GetServerSideProps } from 'next'
import Head from 'next/head'
import styled from 'styled-components'

const Container = styled('div')({
	maxWidth: 720,
	margin: '0 auto',
	padding: '0 1rem',
	boxSizing: 'border-box',
})

const Home = () => {
	return (
		<></>
	)
}

export const getServerSideProps: GetServerSideProps = async ({ req, res }) => {
	const session = getSession(req, res)

	if (!session) {
		return {
			redirect: {
				destination: '/api/auth/login',
				permanent: false,
			},
		}
	}


	return {
		redirect: {
			destination: '/my/folders',
			permanent: false,
		}
	}
}

export default Home
